Get my private template
curl --request GET \
--url https://loomloom.cogfoundry.ai/loom/v1/users/me/templates/{template} \
--header 'Authorization: <api-key>'import requests
url = "https://loomloom.cogfoundry.ai/loom/v1/users/me/templates/{template}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://loomloom.cogfoundry.ai/loom/v1/users/me/templates/{template}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAtUnix": 123,
"description": "<string>",
"latestVersionId": "<string>",
"name": "<string>",
"primaryOutputType": "<string>",
"publishedVersionId": "<string>",
"status": "<string>",
"templateId": "<string>",
"updatedAtUnix": 123,
"versions": [
{
"createdAtUnix": 123,
"definitionHash": "<string>",
"specVersion": "<string>",
"versionId": "<string>",
"versionNumber": 123
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Get my private template
Returns one private template summary and its version summaries for the authenticated user. The response intentionally excludes canonical_spec, workflow definitions, hidden prompts, runtime config, source refs, and Market release package internals.
GET
/
loom
/
v1
/
users
/
me
/
templates
/
{template}
Get my private template
Authorizations
Use Authorization: Bearer <api-token>.
Path Parameters
Private template ID